Cancel Current Workspace Removal
curl --request DELETE \
--url https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1ee15-5855-7ffd-842a-d725b970211f",
"timestamp_created": "2026-11-18T09:55:38.709Z",
"timestamp_updated": "2026-11-18T09:55:38.709Z",
"owner": "01a1ee15-5855-7ffd-842a-d726656e5b48",
"name": "My Workspace",
"scheduled_for_removal_at": "2026-11-18T09:55:38.709Z",
"plan_id": "pid_hg_v1",
"plan_id_bundle": "pid_bundle_scale_v2",
"add_unsub_to_block": false,
"default_opportunity_value": 250,
"plan_id_leadfinder": "pid_lf_ls_v1",
"plan_id_verification": {
"quantity": 5,
"product_id": "pid_verify_v1_monthly",
"timestamp_updated": "2024-07-22T05:56:58.667Z"
},
"org_logo_url": "https://example.com/logo.png",
"org_client_domain": "example.com",
"plan_id_crm": "pid_crm_hg",
"plan_id_website_visitor": "pid_wvw_v1",
"plan_id_inbox_placement": "pid_ip_v1"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workspace
Cancel Current Workspace Removal
Requires one of the following scopes: workspaces:delete, workspaces:all, all:delete, all:all
DELETE
/
api
/
v2
/
workspaces
/
current
/
schedule-for-removal
Cancel Current Workspace Removal
curl --request DELETE \
--url https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspaces/current/schedule-for-removal"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1ee15-5855-7ffd-842a-d725b970211f",
"timestamp_created": "2026-11-18T09:55:38.709Z",
"timestamp_updated": "2026-11-18T09:55:38.709Z",
"owner": "01a1ee15-5855-7ffd-842a-d726656e5b48",
"name": "My Workspace",
"scheduled_for_removal_at": "2026-11-18T09:55:38.709Z",
"plan_id": "pid_hg_v1",
"plan_id_bundle": "pid_bundle_scale_v2",
"add_unsub_to_block": false,
"default_opportunity_value": 250,
"plan_id_leadfinder": "pid_lf_ls_v1",
"plan_id_verification": {
"quantity": 5,
"product_id": "pid_verify_v1_monthly",
"timestamp_updated": "2024-07-22T05:56:58.667Z"
},
"org_logo_url": "https://example.com/logo.png",
"org_client_domain": "example.com",
"plan_id_crm": "pid_crm_hg",
"plan_id_website_visitor": "pid_wvw_v1",
"plan_id_inbox_placement": "pid_ip_v1"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Response
The requested Workspace
A workspace entity representing a workspace